/// <reference types="react" />
import { StatusPageQuery } from '../../../StatusPage.generated';
declare type Props = {
    day?: string;
    routeComponentId?: string;
    currentComponentId: string;
    history: StatusPageQuery['Profile']['statusPage']['components'][0]['eventsHistory'];
};
export declare function StatusHistory({ day, history, routeComponentId, currentComponentId, }: Props): JSX.Element;
declare type StatusHistoryItemProps = {
    day?: string;
    routeComponentId?: string;
    currentComponentId: string;
    item: StatusPageQuery['Profile']['statusPage']['components'][0]['eventsHistory'][0];
};
export declare function StatusHistoryItem({ day, item, routeComponentId, currentComponentId, }: StatusHistoryItemProps): JSX.Element;
export {};
